Get Available Linked Fields

​

Responses

  • application/json
Request Example for get/partners/fields/companies
curl https://crm.dreamhub.ai/api/v1/settings/partners/fields/companies \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
  "fields": [
    {
      "label": "string",
      "fieldType": "string",
      "displayType": "string",
      "dataSource": "system",
      "filledByDreamer": true,
      "dreamerFlow": {
        "additionalProperty": "anything"
      },
      "showInCreation": true,
      "showInDetailedView": true,
      "required": false,
      "config": {
        "additionalProperty": "anything"
      },
      "linkedDataInfo": {
        "targetTable": "string",
        "sourceKey": "string",
        "targetKey": "string",
        "targetField": "string",
        "targetType": "string"
      },
      "helpText": "string",
      "id": "string",
      "fieldKey": "string",
      "order": 1,
      "createdAt": "2026-09-29T00:02:20.289Z",
      "isDeleted": false,
      "readOnly": false,
      "fieldManagement": {
        "canEditDefinition": false,
        "canHide": false,
        "canDelete": false,
        "canReorder": true,
        "canEditOptions": false
      },
      "section": 1,
      "additionalProperty": "anything"
    }
  ]
}